%define real_name	loggerhead

Name:           bzr-loggerhead
Version:        1.17
Release:        %mkrel 2
Summary:        A web view for Bazaar

Group:          Development/Other
License:        GPL
URL:            https://launchpad.net/loggerhead
Source0:        https://launchpad.net/%{name}/stable/%{version}/+download/%{real_name}-%{version}.tar.gz
Patch0:		bzr-compat.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)

BuildArch:      noarch
BuildRequires:  python-devel 
BuildRequires:  bzr
BuildRequires:  python-pkg-resources
BuildRequires:	python-paste
Requires:       python >= 2.4
Requires:       bzr >= 1.17
Requires:	python-paste
Requires:	python-pygments
Requires:	python-simpletal
Provides:	loggerhead

%description
Loggerhead is a web viewer for projects in bazaar. 
It can be used to navigate a branch history, annotate files, view patches, 
perform searches, etc. It's originally based on bazaar-webserve, which is 
itself based on hgweb for Mercurial.

This package installs loggerhead as a plugin so that it can be run with:
bzr serve --http [--port=8080] [--directory=.].

%prep
%setup -q -n %{real_name}

%patch0 -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%{buildroot}/%_prefix

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%dir %py_puresitedir/bzrlib/plugins/loggerhead
%py_puresitedir/bzrlib/plugins/loggerhead/*
%dir %py_puresitedir/loggerhead
%py_puresitedir/loggerhead/*
%py_puresitedir/loggerhead-1.17-py2.6.egg-info
%{_bindir}/serve-branches
%{_bindir}/start-loggerhead
%{_bindir}/stop-loggerhead
%{_docdir}/loggerhead
%_mandir/man1/serve-branches.1.lzma
%_mandir/man1/start-loggerhead.1.lzma
%_mandir/man1/stop-loggerhead.1.lzma
%doc README NEWS COPYING.txt



%changelog
* Tue Feb 23 2010 Crispin Boylan <crisb@mandriva.org> 1.17-2mdv2010.1
+ Revision: 510372
- Patch 0 - mark as compatible with bzr 2.1

* Fri Aug 21 2009 Crispin Boylan <crisb@mandriva.org> 1.17-1mdv2010.0
+ Revision: 418975
- Release 1.17

* Wed Jul 29 2009 Crispin Boylan <crisb@mandriva.org> 1.11-0.5mdv2010.0
+ Revision: 403964
- Update to rev 381 (bzr1.17 compat)

* Sun Jun 28 2009 Crispin Boylan <crisb@mandriva.org> 1.11-0.4mdv2010.0
+ Revision: 390175
- Update to bzr rev 378 (shows tags now)

* Sat Jun 13 2009 Crispin Boylan <crisb@mandriva.org> 1.11-0.3mdv2010.0
+ Revision: 385672
- BuildRequires: python-paste
- BuildRequires python-pkg-resources
- Update binary
- Update to bzr revision 366
- Use setup.py as now installs as plugin by default
- Minimum version is bzr 1.13

* Mon May 18 2009 Crispin Boylan <crisb@mandriva.org> 1.11-0.2mdv2010.0
+ Revision: 376846
- Provides loggerhead
- Bump release
- Add to description, this is the plugin version
- Initial package for mandriva
- create bzr-loggerhead

